> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rikunabi/jobs

> Get Rikunabi NEXT job details by job key

**Price:** 5 credits

**⚠️ Common errors:** 412: Job not found



## OpenAPI

````yaml /openapi/jobs.json post /api/rikunabi/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rikunabi/jobs:
    post:
      tags:
        - /rikunabi
      summary: /rikunabi/jobs
      description: |-
        Get Rikunabi NEXT job details by job key

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Job not found
      operationId: __api_rikunabi_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RikunabiJobPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RikunabiJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RikunabiJobPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
      type: object
      required:
        - job
    RikunabiJob:
      properties:
        '@type':
          type: string
          default: RikunabiJob
        id:
          type: string
        url:
          type: string
        sub_title:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        company_id:
          anyOf:
            - type: string
            - type: 'null'
        employment_types:
          items:
            type: string
          type: array
          default: []
        job_overview:
          anyOf:
            - type: string
            - type: 'null'
        job_description:
          anyOf:
            - type: string
            - type: 'null'
        qualification:
          anyOf:
            - type: string
            - type: 'null'
        salary_summary:
          anyOf:
            - type: string
            - type: 'null'
        base_salary:
          anyOf:
            - type: string
            - type: 'null'
        task_based_salary:
          anyOf:
            - type: string
            - type: 'null'
        salary_info:
          anyOf:
            - type: string
            - type: 'null'
        salary_example:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/RikunabiJobSalary'
            - type: 'null'
        work_hours:
          anyOf:
            - type: string
            - type: 'null'
        work_style:
          anyOf:
            - type: string
            - type: 'null'
        holidays:
          anyOf:
            - type: string
            - type: 'null'
        probationary_period:
          anyOf:
            - type: string
            - type: 'null'
        welfare_insurance:
          anyOf:
            - type: string
            - type: 'null'
        welfare_benefit:
          anyOf:
            - type: string
            - type: 'null'
        work_environment:
          anyOf:
            - type: string
            - type: 'null'
        work_location:
          anyOf:
            - type: string
            - type: 'null'
        work_location_notes:
          anyOf:
            - type: string
            - type: 'null'
        commute_info:
          anyOf:
            - type: string
            - type: 'null'
        office_name:
          anyOf:
            - type: string
            - type: 'null'
        office_address:
          anyOf:
            - type: string
            - type: 'null'
        apply_info:
          anyOf:
            - type: string
            - type: 'null'
        employer_message:
          anyOf:
            - type: string
            - type: 'null'
        position_count:
          anyOf:
            - type: string
            - type: 'null'
        other:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        is_full_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        preference_tags:
          items:
            type: string
          type: array
          default: []
        images:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/RikunabiJobLocation'
            - type: 'null'
        company_research:
          anyOf:
            - $ref: '#/components/schemas/RikunabiCompanyResearch'
            - type: 'null'
        employer:
          anyOf:
            - $ref: '#/components/schemas/RikunabiJobEmployer'
            - type: 'null'
        favorite_count:
          anyOf:
            - type: integer
            - type: 'null'
        apply_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - url
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RikunabiJobSalary:
      properties:
        '@type':
          type: string
          default: RikunabiJobSalary
        min:
          anyOf:
            - type: integer
            - type: 'null'
        max:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RikunabiJobLocation:
      properties:
        '@type':
          type: string
          default: RikunabiJobLocation
        street_address:
          anyOf:
            - type: string
            - type: 'null'
        address_locality:
          anyOf:
            - type: string
            - type: 'null'
        address_region:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RikunabiCompanyResearch:
      properties:
        '@type':
          type: string
          default: RikunabiCompanyResearch
        summary:
          anyOf:
            - type: string
            - type: 'null'
        citations:
          items:
            $ref: '#/components/schemas/RikunabiResearchCitation'
          type: array
          default: []
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RikunabiJobEmployer:
      properties:
        '@type':
          type: string
          default: RikunabiJobEmployer
        name:
          anyOf:
            - type: string
            - type: 'null'
        ceo_name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        business_details:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    RikunabiResearchCitation:
      properties:
        '@type':
          type: string
          default: RikunabiResearchCitation
        id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        favicon_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````